Ubuntu

Jockey incorrectly offers nvidia-current for Geforce FX/5k-series cards

Reported by Alen Masic on 2012-04-28
92
This bug affects 18 people
Affects Status Importance Assigned to Milestone
jockey (Ubuntu)
Undecided
Unassigned

Bug Description

I just installed Ubuntu 12.04 and installed all nvidia drivers, but my drivers are not activated, when I open Nvidia settings manager I get the following message:

You do not appear to be using the NVIDIA X driver. Please edit your X configuration file (just run nvidia-xconfig as root), and restart the X server.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: xorg (not installed)
ProcVersionSignature: Ubuntu 3.2.0-24.37-generic 3.2.14
Uname: Linux 3.2.0-24-generic i686
ApportVersion: 2.0.1-0ubuntu7
Architecture: i386
CompizPlugins: [core,composite,opengl,decor,compiztoolbox,vpswitch,move,place,imgpng,unitymtgrabhandles,mousepoll,grid,gnomecompat,regex,session,animation,resize,workarounds,wall,expo,ezoom,fade,scale,unityshell]
CompositorRunning: None
Date: Sat Apr 28 16:37:44 2012
DistUpgraded: 2012-04-27 19:15:31,696 DEBUG enabling apt cron job
DistroCodename: precise
DistroVariant: ubuntu
DkmsStatus: nvidia-current, 295.40, 3.2.0-24-generic, i686: installed
ExtraDebuggingInterest: Yes, whatever it takes to get this fixed in Ubuntu
GraphicsCard:
 NVIDIA Corporation NV34 [GeForce FX 5500] [10de:0326] (rev a1) (prog-if 00 [VGA controller])
 Silicon Integrated Systems [SiS] 65x/M650/740 PCI/AGP VGA Display Adapter [1039:6325] (prog-if 00 [VGA controller])
   Subsystem: ASUSTeK Computer Inc. Device [1043:8081]
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release i386 (20111012)
Lsusb:
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 003 Device 002: ID 093a:2510 Pixart Imaging, Inc. Optical Mouse
 Bus 003 Device 003: ID 093a:2620 Pixart Imaging, Inc.
MachineType: System Manufacturer System Name
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-24-generic root=UUID=f4021751-c271-4332-b3c5-637e60ad1247 ro recovery nomodeset nopat
SourcePackage: xorg
Symptom: display
UnitySupportTest:
 Error: command ['/usr/lib/nux/unity_support_test', '-p', '-f'] failed with exit code 5: Xlib: extension "GLX" missing on display ":0".
 Error: GLX is not available on the system
UpgradeStatus: Upgraded to precise on 2012-04-27 (0 days ago)
dmi.bios.date: 06/11/2003
dmi.bios.vendor: Award Software, Inc.
dmi.bios.version: ASUS P4S533-MX ACPI BIOS Revision 1006
dmi.board.name: P4S533MX
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: REV 1.xx
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 7
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAwardSoftware,Inc.:bvrASUSP4S533-MXACPIBIOSRevision1006:bd06/11/2003:svnSystemManufacturer:pnSystemName:pvrSystemVersion:rvnASUSTeKComputerINC.:rnP4S533MX:rvrREV1.xx:cvnChassisManufacture:ct7:cvrChassisVersion:
dmi.product.name: System Name
dmi.product.version: System Version
dmi.sys.vendor: System Manufacturer
version.compiz: compiz 1:0.9.7.6-0ubuntu1
version.libdrm2: libdrm2 2.4.32-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.2-0ubuntu3
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.2-0ubuntu3
version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu10
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2

Alen Masic (alenn-masic) wrote :
Daniel Letzeisen (dtl131) wrote :

Remove all of your nvidia drivers and install nvidia-173 package. The nvidia-current package does not support GeForce FX/5-series

Daniel Letzeisen (dtl131) wrote :

Changing to bug in jockey, since it shouldn't be offering you nvidia-current/295.40 driver for your card.

affects: xorg (Ubuntu) → jockey (Ubuntu)
Changed in jockey (Ubuntu):
status: New → Confirmed
Alen Masic (alenn-masic) wrote :

thaz was my idea too, but I don't know how to install 173 nvidia drivers since they are not offered in "Additional drivers" dialog. I can see only the newest. Is there a way for doing this by terminal?

Daniel Letzeisen (dtl131) wrote :

Assuming you have uninstalled previous nvidia binary drivers, use this command:
sudo apt-get install nvidia-173

summary: - Ubuntu 12.04 Can't use Nvidia X driver
+ Jockey incorrectly offers nvidia-current for Geforce FX/5k-series cards
Daniel Letzeisen (dtl131) wrote :

I should also mention that you should check for an /etc/modprobe.d/blacklist-local.conf file and remove it if found.

Alen Masic (alenn-masic) wrote :

sudo apt-get install nvidia-173
[sudo] password for alen:
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 nvidia-173 : Depends: xorg-video-abi-10 but it is not installable
              Recommends: nvidia-settings but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

Daniel Letzeisen (dtl131) wrote :

My apologies. You should remove nvidia-173. I was not aware of this bug: https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-173/+bug/948053

It looks like you're limited to open-source nouveau driver on Precise unless Nvidia decides to update their legacy driver for compatibility with later Xserver. If you demand nvidia binary driver, you'll either have to use an older version of Ubuntu or hack in the old Xserver to precise as suggested in that bug report (that's not recommended, but if you're adventurous...).

Alen Masic (alenn-masic) wrote :

is there a way for rolling back kernel version to a version wich use 11.10. After that I think it would be easy to install my drivers

Ian M. Stewart (ims) wrote :

My system uses an Asus A8V Deluxe MB and Inno3D Geforce FX5200 AGP video card (nVidia chipset) with no fan. I like my machine quiet. This seems not to be supported by the current nVidia drivers. I'm stuck with Unity 2D and don't like it.

Pedro Peixoto (pedrospeixoto) wrote :

I have the same issue, exactly. I am stuck in Unity 2d,

Pedro Peixoto (pedrospeixoto) wrote :

I removed nvidia-current AND nvidia-settings and now I can log in to unity 3d using the nouveau driver. I hope some solution comes for nvidia drivers, because I've heard a lot of complaints about nouveau driver (heat, performance).

BTW: Using Gforce 540M

I have nVidia GT 240M. I done everything to activate the nvidia driver but all was in vain. Here is the problem : http://askubuntu.com/questions/142347/unable-to-install-nvidia-driver-in-kubuntu-12-04. When they will fix it?!

Daniel Letzeisen (dtl131) wrote :

@Ravi Kumar: that is completely unrelated to this bug...

Cannot get the Nvidia Geforce GT 540M graphics card to handle all my graphics on my Dell XPS L502x with intel i7-2670QM and 8GB DDR3 RAM. The Nvidia driver appeared in the additional derivers, but on installing, and then rebooting, it just disappeared. The additional drivers list is empty.

Changed in jockey (Ubuntu):
assignee: nobody → Sushant Mahajan (mahajan-sushant-app09)

Same issue here. Any way of installing the 173 driver for nvidia?

Daniel Letzeisen (dtl131) wrote :

@Sushant Mahajan:
 - Your issue is unrelated to this bug
 - Please do not assign bugs to yourself unless you are working on fixing them

@ RagonichaFulva: one user in bug 948053 claimed this new release works with Precise: ftp://download.nvidia.com/XFree86/Linux-x86/173.14.35/

Changed in jockey (Ubuntu):
assignee: Sushant Mahajan (mahajan-sushant-app09) → nobody
Download full text (4.9 KiB)

OK, sorry..my bad..

I tried all I could.

On Fri, Jun 8, 2012 at 4:41 PM, Dave Lentz <email address hidden>wrote:

> @Sushant Mahajan:
> - Your issue is unrelated to this bug
> - Please do not assign bugs to yourself unless you are working on fixing
> them
>
> @ RagonichaFulva: one user in bug 948053 claimed this new release works
> with Precise: ftp://download.nvidia.com/XFree86/Linux-x86/173.14.35/
>
>
> ** Changed in: jockey (Ubuntu)
> Assignee: Sushant Mahajan (mahajan-sushant-app09) => (unassigned)
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/990539
>
> Title:
> Jockey incorrectly offers nvidia-current for Geforce FX/5k-series
> cards
>
> Status in “jockey” package in Ubuntu:
> Confirmed
>
> Bug description:
> I just installed Ubuntu 12.04 and installed all nvidia drivers, but my
> drivers are not activated, when I open Nvidia settings manager I get
> the following message:
>
> You do not appear to be using the NVIDIA X driver. Please edit your X
> configuration file (just run nvidia-xconfig as root), and restart the
> X server.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.04
> Package: xorg (not installed)
> ProcVersionSignature: Ubuntu 3.2.0-24.37-generic 3.2.14
> Uname: Linux 3.2.0-24-generic i686
> ApportVersion: 2.0.1-0ubuntu7
> Architecture: i386
> CompizPlugins:
> [core,composite,opengl,decor,compiztoolbox,vpswitch,move,place,imgpng,unitymtgrabhandles,mousepoll,grid,gnomecompat,regex,session,animation,resize,workarounds,wall,expo,ezoom,fade,scale,unityshell]
> CompositorRunning: None
> Date: Sat Apr 28 16:37:44 2012
> DistUpgraded: 2012-04-27 19:15:31,696 DEBUG enabling apt cron job
> DistroCodename: precise
> DistroVariant: ubuntu
> DkmsStatus: nvidia-current, 295.40, 3.2.0-24-generic, i686: installed
> ExtraDebuggingInterest: Yes, whatever it takes to get this fixed in Ubuntu
> GraphicsCard:
> NVIDIA Corporation NV34 [GeForce FX 5500] [10de:0326] (rev a1) (prog-if
> 00 [VGA controller])
> Silicon Integrated Systems [SiS] 65x/M650/740 PCI/AGP VGA Display
> Adapter [1039:6325] (prog-if 00 [VGA controller])
> Subsystem: ASUSTeK Computer Inc. Device [1043:8081]
> InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release i386 (20111012)
> Lsusb:
> Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
> Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 003 Device 002: ID 093a:2510 Pixart Imaging, Inc. Optical Mouse
> Bus 003 Device 003: ID 093a:2620 Pixart Imaging, Inc.
> MachineType: System Manufacturer System Name
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-24-generic
> root=UUID=f4021751-c271-4332-b3c5-637e60ad1247 ro recovery nomodeset nopat
> SourcePackage: xorg
> Symptom: display
> UnitySupportTest:
> Error: command ['/usr/lib/nux/unity_support_test', '-p', '-f'] failed
> with exit code 5: Xlib: extension "GLX" missing on display ":0".
> Error: GLX is not available on the system
> UpgradeStatus: Upgraded to precise on 2012-04-27 (0 days ago)
> dmi.bios.date: 06/11/2003
> dmi.bi...

Read more...

Luke Sticka (the87thbombfish) wrote :

I'm affected by this as well. I'm posting this at work so I don't necessarily have access to a lshw of my home computer right now, but using a Dell Dimension 2400 with a Geforce FX 5200 and at present, the most recent release of the 173 driver available to Pangolin 12.04 is 173.14.30. The reported fix is in 173.14.35, however this isn't available through apt-get at present for Pangolin (seems to be part of Quantal). This driver has been out for more than a month; what keeps it from simply being available via apt-get for Ubuntu 12.04 users?

There's a really varied set of potential solutions out there right now; people are recommending everything from rolling back the OS to 11.xx, to modifying Pangolin's installation of Xorg, to pressing users to simply update their hardware. Meanwhile the .35 driver claims to solve many of the issues that old machines may be having, but there's a dearth of information as to how to actually install the driver from a binary file - let alone how to reverse the process if it doesn't work, so users such as myself are sort of in a driverless limbo.

It would be nice to have the driver readily available via apt-get for Pangolin users; in this way the installation and removal would be very easily done through apt-get.

Alen Masic (alenn-masic) wrote :
hexafraction (rarkenin) wrote :

To respond to Comment #6, it should be renamed to something out of the way so if it needs to be reinstated in the same state as it was in, that can be done easily.

Luke Sticka (the87thbombfish) wrote :

@Alen - I used this site's Overview information pertaining to the 12.04 "nvidia-graphics-driver-173" as found here - https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-173 - unless I am reading this wrong (and I'm open to that idea) this page suggests that the only version available for download for Pangolin is 173.14.30. I have reviewed the askubuntu thread that you pointed me to; in fact, it lead me here. :)

I tried asking my own line of questioning on askubuntu, in point-of-fact. But the answer I received seemed to be an old fix to the issue (involved downgrading Xorg, etc) when all I wanted was a little advice on how to just install this recent, correct driver, that's apparently intended to work with 12.04's version of Xorg. Both sites are recommending asking the other one at this point, which is a little bit of a bummer.

Alen Masic (alenn-masic) wrote :

well I planned to go back on 12.04 but your post discouraged me. If anyone fix this pls post.

dino99 (9d9) wrote :

Jockey has been superseded by software-properties, which now handles
third-party driver configuration.

Changed in jockey (Ubuntu):
status: Confirmed → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions